var _excluded = ["value"];
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useRef } from 'react';
import { Badge } from 'antd';
import "./index.less";
export default function Index(props) {
  var value = props.value,
    otherProps = _objectWithoutProperties(props, _excluded);
  var renderMark = useRef(false);
  if (!renderMark.current) {
    renderMark.current = true;
  }
  return /*#__PURE__*/React.createElement("div", otherProps, /*#__PURE__*/React.createElement("span", null, value ? /*#__PURE__*/React.createElement(Badge, {
    color: "#52C41A",
    text: "\u5DF2\u5F00\u542F"
  }) : /*#__PURE__*/React.createElement(Badge, {
    color: "#FAAD14",
    text: "\u672A\u5F00\u542F"
  })));
}